;==========================
;CopyRect and DrawImageRect
;==========================
;Copy a portion of one image to another

Include "../ExtendedBlitzLib.bb"
dllFileName$ = "../Blitz2DDll.dll" ;optional (if file not in same directory)
GraphicsBB(800,600,16)
SetBufferBB(BackBufferBB)

;Load graphics
mage = LoadImageBB("graphics/mage.bmp");load to VRAM
MaskImageBB(mage,71,71,71)
mage2 = LoadImageBB("graphics/mage.bmp",1);load to RAM (no reason, just to show how)
MaskImageBB(mage2,71,71,71)

;Copy top half of one image onto the other
CopyRectBB(0,0,128,64,0,64,mage,mage2)

;Main loop
While Not KeyDown(1)
	ClsBB()

	DrawImageBB(mage,200,100)		
	DrawImageBB(mage2,200,300)		
	
	;Copy portion of an image to the backbuffer (not masked)
	CopyRectBB(32,32,64,64,400,200,mage,BackBufferBB)
	
	;Draw portion of an image to the backbuffer (masked)
	DrawImageRectBB(mage,MouseCursorX,MouseCursorY,32,32,64,64)		

	;Take a screen shot if you want.
	If MouseDownBB(1) Then SaveBufferBB(BackBufferBB,"myScreenShot.bmp")
	FlipBB()
Wend

EndGraphicsBB()
End