;===================
;Draw Animated Image
;===================
;Draws an animated image

Include "../ExtendedBlitzLib.bb"
dllFileName$ = "../Blitz2DDll.dll" ;optional (if file not in same directory)
GraphicsBB(800,600,16)

;Load graphics
mousePointer = LoadImageBB("graphics/red pointer.bmp")
MaskImageBB(mousePointer,255,255,255)

SetImageLoaderBB(1) ;enable png loading
skeleton = LoadAnimImageBB("graphics/skeleton strip.png",96,74,0,8)
MidHandleBB(skeleton)
MaskImageBB(skeleton,255,255,255)


;Main loop
While Not KeyDown(1)
	ClsBB()
	
	;Show frames per second
	Gosub fpsCounter
	TextBB(0,0,"FPS = " + FPS)
	
	;Calculate animated frame and draw animated image
	frameloops = frameloops + 1
	If frameloops = 4
		frameloops = 0
		frame = frame + 1
		If frame = 8 Then frame = 0
	End If				
	DrawImageBB(skeleton,MouseCursorX,MouseCursorY,frame)		

	DrawImageBB(mousePointer,MouseCursorX,MouseCursorY)
	FlipBB()
Wend

EndGraphicsBB()
End


.fpsCounter
	loops = loops+1	
	If startFPStimer = False Then 
		startFPStime = MilliSecs() + 1000
		startLoops = loops
		startFPStimer = True		
	Else If MilliSecs() > startFPStime Then
			startFPStimer = False
			FPS = loops-startLoops	
	End If
	Return