;==============
;Scale & Rotate
;==============
;Example of how to scale and rotate an image. These effects
;can also be done using Draw3DImageBB.

Include "../ExtendedBlitzLib.bb"
dllFileName$ = "../Blitz2DDll.dll" ;optional (if file not in same directory)
GraphicsBB(800,600,16)
SetBufferBB(BackBufferBB)

;Load graphics
AutoMidHandleBB(True)
mage = LoadImageBB("graphics/mage2.bmp")
MaskImageBB(mage,71,71,71)

mage2 = LoadImageBB("graphics/mage2.bmp")
MaskImageBB(mage2,71,71,71)
ScaleImageBB(mage2,2,2)
RotateImageBB(mage2,90)

;Main loop
While Not KeyDown(1)
	ClsBB()

	DrawImageBB(mage,200,300) ;original size and rotation	
	DrawImageBB(mage2,MouseCursorX,MouseCursorY) ;rotated, resized image			

	FlipBB()
Wend

EndGraphicsBB()
End