;=============
;System Memory
;=============
;This demo illustrates the AvailSysMemBB() and TotalSysMemBB() functions.
;These functions are usable even if you don't use anything else from the
;library, as is illustrated here (we haven't even included the ExtendedBlitzLib.bb
;include file here). Just include the Blitz2DDll.dll in the same directory or specify
;its location as a parameter (as we did here).

Print "Your total system memory is " + AvailSysMemBB("../Blitz2DDll.dll")
Print "Your available system memory is " + TotalSysMemBB("../Blitz2DDll.dll")
WaitKey()
End

;Returns total available system memory in bytes.
Function AvailSysMemBB(dllFileName$="Blitz2DDll.dll")
	Return CallDLL(dllFileName$,"AvailSysMemBB")	
End Function	

;Returns total system memory in bytes.
Function TotalSysMemBB(dllFileName$="Blitz2DDll.dll")
	Return CallDLL(dllFileName$,"TotalSysMemBB")	
End Function	